Together AI SDK (Python)
from together import Together
client = Together()
identity = client.whoami()
if identity.type != "project_api_key":
raise RuntimeError("TOGETHER_API_KEY must be a project API key")
project_id = identity.project.id
targets = client.endpoints.shadow_experiments.targets.list(
endpoint_id="ep_abc123",
experiment_id="exp_abc123",
project_id=project_id,
)
for target in targets:
print(target.id, target.name, target.target_deployment_id)import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type !== "project_api_key") {
throw new Error("TOGETHER_API_KEY must be a project API key");
}
const projectId = identity.project.id;
const targets = client.endpoints.shadowExperiments.targets.list(
"ep_abc123",
"exp_abc123",
{ projectId },
);
for await (const target of targets) {
console.log(target.id, target.name, target.targetDeploymentId);
}
import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type !== "project_api_key") {
throw new Error("TOGETHER_API_KEY must be a project API key");
}
const projectId = identity.project.id;
const targets = client.endpoints.shadowExperiments.targets.list(
"ep_abc123",
"exp_abc123",
{ projectId },
);
for await (const target of targets) {
console.log(target.id, target.name, target.targetDeploymentId);
}
curl --request GET \
--url https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"experimentId": "<string>",
"name": "<string>",
"targetDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"etag": "<string>",
"description": "<string>"
}
],
"object": "list",
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Shadow experiments
List shadow experiment targets
Lists the deployments that receive mirrored requests from a shadow experiment.
GET
/
v2
/
projects
/
{projectId}
/
endpoints
/
{endpointId}
/
shadowExperiments
/
{experimentId}
/
targets
Together AI SDK (Python)
from together import Together
client = Together()
identity = client.whoami()
if identity.type != "project_api_key":
raise RuntimeError("TOGETHER_API_KEY must be a project API key")
project_id = identity.project.id
targets = client.endpoints.shadow_experiments.targets.list(
endpoint_id="ep_abc123",
experiment_id="exp_abc123",
project_id=project_id,
)
for target in targets:
print(target.id, target.name, target.target_deployment_id)import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type !== "project_api_key") {
throw new Error("TOGETHER_API_KEY must be a project API key");
}
const projectId = identity.project.id;
const targets = client.endpoints.shadowExperiments.targets.list(
"ep_abc123",
"exp_abc123",
{ projectId },
);
for await (const target of targets) {
console.log(target.id, target.name, target.targetDeploymentId);
}
import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type !== "project_api_key") {
throw new Error("TOGETHER_API_KEY must be a project API key");
}
const projectId = identity.project.id;
const targets = client.endpoints.shadowExperiments.targets.list(
"ep_abc123",
"exp_abc123",
{ projectId },
);
for await (const target of targets) {
console.log(target.id, target.name, target.targetDeploymentId);
}
curl --request GET \
--url https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v2/projects/{projectId}/endpoints/{endpointId}/shadowExperiments/{experimentId}/targets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"experimentId": "<string>",
"name": "<string>",
"targetDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"etag": "<string>",
"description": "<string>"
}
],
"object": "list",
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project identifier.
Endpoint identifier.
Shadow experiment identifier.
Query Parameters
Maximum number of targets to return. Max 500, defaults to 50.
Cursor from a previous shadow experiment target list response.
Was this page helpful?
⌘I